/* Resets */
html {
  scroll-behavior: smooth;
  direction: rtl;
  overflow-x: hidden !important;
}

ul {
  padding: 0;
  margin: 0;
  list-style: none;
}

a {
  text-decoration: none;
}

body {
  font-family: var(--main-font);
  overflow-x: hidden !important;
}

select {
  padding: 10px 20px;
  border-radius: 5px;
  display: block;
  outline: none;
}

/* Start Container */
.container {
  padding-left: 15px;
  padding-right: 15px;
  margin-left: auto;
  margin-right: auto;
}

/* Small */
@media (min-width: 768px) {
  .container {
    width: 750px;
  }
}

/* Medium */
@media (min-width: 992px) {
  .container {
    width: 970px;
  }
}

/* Large */
@media (min-width: 1200px) {
  .container {
    width: 1170px;
  }
}

/* End Container */

/* Start Main Title */
.main-title {
  text-transform: uppercase;
  margin: 0 auto 80px;
  padding: 10px 20px;
  font-size: 30px;
  font-weight: bold;
  width: fit-content;
  position: relative;
  z-index: 1;
  transition: var(--main-transition);
  color: var(--main-color);
}

.main-title::before {
  content: "";
  position: absolute;
  width: 50%;
  height: 7%;
  background-color: #d1d2d6;
  border-radius: 5px;
  bottom: 0;
  left: 50%;
  transform: translateX(-50%);
}

/* End Main Title */

.moveing-logo {
  width: 190px;
  position: absolute;
  top: 250px;
  -webkit-transform: rotate(-37deg);
  transform: rotate(-37deg);
  opacity: 0.15;
}

@media (max-width: 768px) {
  .moveing-logo {
    display: none;
  }
}

.move-right {
  right: 100px;
}

.move-left {
  left: 100px;
}

/* Scrollbar */

::-webkit-scrollbar {
  width: 9px;
}

::-webkit-scrollbar-track {
  background-color: var(--dark-color);
}

::-webkit-scrollbar-thumb {
  background-color: var(--main-color);
  border-radius: 50px;
}

::selection {
  background-color: var(--main-color);
  color: #fff;
}

/* Alerts */

.infoMessage {
  display: none;
  animation: scale-in-center 0.3s cubic-bezier(0.25, 0.46, 0.45, 0.94) both;
  margin: 10px auto;
  margin-bottom: -10px;
  padding: 15px 25px;
  width: fit-content;
  color: #fff;
  background-color: #e9c46a;
  border-radius: 7px;
}

.infoMessage::before {
  content: "\f05a";
  font-family: "FontAwesome";
  margin: 8px;
  font-size: 18px;
}

@keyframes scale-in-center {
  0% {
    -webkit-transform: scale(0);
    transform: scale(0);
    opacity: 1;
  }

  100% {
    -webkit-transform: scale(1);
    transform: scale(1);
    opacity: 1;
  }
}
